// JavaScript Document

$(function(){

	$('#altera input[type=text]').change(function(){
		var $this = $(this);
		var nome = $(this).attr('name');
		var valor = $(this).val();
		var id = $(this).parents().attr('title');
		$(this).addClass('loading');
		$.post('altera.php', {id:id, campo:nome, valor:valor}, function(retorno){
				$($this).removeClass('loading').addClass('alterado');
		})
	})
	

	$('fieldset a img').live('click', function(){
		var ancora = $(this);
		var id_integrante = $(this).closest('fieldset').attr('title');
		$.post('apaga.php', {id:id_integrante}, function(){
			$(ancora).closest('li').slideUp('slow', function(){
				$(this).remove();
			})
		})
	})

	$('#grava input[type=text]').focus(function(){
		var valor = $(this).val();
		if (valor === "Integrante" || valor === "Instrumento"){
			$(this).val('');	
		}
	})
	
	$('#grava').submit(function(){
		var nome_int = $('#grava input[name=nome]').val();
		var instr = $('#grava input[name=instrumento]').val();
		if (nome_int!='' && instr!='' && nome_int!='Integrante' && instr!='Instrumento')
		{
			$('#grava input[type=text]').each(function(){
				$(this).addClass('loading');
			})
			$.post('grava.php', $('#grava').serialize(), function(resposta){
				$('#grava').prepend(resposta).find('p').fadeOut(2000, function(){$(this).remove();});
				$('#grava input[type=text]').removeClass('loading');
				$('form')[0].reset();
				$.getJSON('ultimo.php', function(registro){
/*					var trechohtml = '<li class="novo"><fieldset title='+registro.id+'">';
					trechohtml += '<input type="text" name="nome" value="'+registro.nome+'" />';
					trechohtml += '<input type="text" name="instrumento"  value="'+registro.instrumento+'"/>';
					trechohtml += '<a href="#"><img src="delete.png" alt="" width="16" height="16" /></a></fieldset></li>'		*/
					var trechohtml = '<li class="novo">';
					trechohtml += '<span>'+registro.nome+'</span>';
					trechohtml += '<span>'+registro.instrumento+'</span>';
					trechohtml += '</fieldset></li>'				
							
					$('ul').prepend(trechohtml);
				})
			})
			return false;
		} else {
			alert('Complete todos os campos');	
			return false;
		}
	})
})